%if ! 0%{?fedora}%{?rhel} || 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%bcond_with aoss
%else
%bcond_without aoss
%endif

Name: gtick
Version: 0.5.1
Release: 3%{?dist}
License: GPLv3
Summary: Metronome application
Group: Applications/Multimedia
URL: http://www.antcom.de/gtick/

Source0: http://www.antcom.de/gtick/download/%{name}-%{version}.tar.gz
Source1: %{name}.desktop.in
Source2: %{name}.png
# upstreamed via email to Roland Stigge <stigge@antcom.de>
Patch0: gtick-0.5.1-other-sound-crash.patch
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: desktop-file-utils
BuildRequires: pulseaudio-libs-devel
BuildRequires: libsndfile-devel >= 1
%if %{with aoss}
Requires: alsa-oss
%endif

%description
gtick is a small metronome application written for Linux and UN*X supporting
different meters (2/4, 3/4, 4/4) and speeds ranging from 30 to 250 bpm. It
utilizes GTK+ and OSS (ALSA compatible) or Pulseaudio.

%prep
%setup -q
cp -p %SOURCE1 .
cp -p %SOURCE2 .
%patch0 -p1 -b .other-sound-crash

%build
%configure --with-sndfile
make %{?_smp_mflags}

sed -e 's|@AOSS@|%{?with_aoss:aoss }|g' %{name}.desktop.in > %{name}.desktop

%install
rm -rf %{buildroot}
make INSTALL="install -p" CP="cp -p" DESTDIR=%{buildroot} install
%find_lang %{name}

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
%{__install} -d -m0755  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__install} %{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
desktop-file-install --vendor "" \
        --dir %{buildroot}%{_datadir}/applications \
        %{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING doc/NOTES NEWS README THANKS TODO
%doc %{_mandir}/man1/gtick.1*
%{_bindir}/gtick
%{_datadir}/applications/gtick.desktop
%{_datadir}/icons/hicolor/32x32/apps/gtick.png

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Nils Philippsen <nils@redhat.com> - 0.5.1-2
- don't wrap in aoss, just use plain pulseaudio from Fedora 19 on
- clean up desktop file

* Thu Feb 28 2013 Nils Philippsen <nils@redhat.com> - 0.5.1-1
- enable external ticking sounds (build with libsndfile)
- don't crash if no valid "other" sound file is chosen
- delete old specfile metadata comments

* Wed Feb 27 2013 Dave Allan <dallan@redhat.com> - 0.5.1-1
- Updated to release 0.5.1.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.4.2-9
- Modify desktop to use aoss

* Wed Oct 10 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.4.2-8
- Add alsa-oss requires

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.2-5
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 21 2010 Rangeen Basu Roy Chowdhury <sherry151@fedoraproject.org> - 0.4.2-3
- Updated the .desktop file
- Completed the scriptlets for icon-cache update
- Removed macros
- Removed unnecessary BuildRequires

* Sat Jun 19 2010 Rangeen Basu Roy Chowdhury <sherry151@fedoraproject.org> - 0.4.2-2
- Updated the .desktop file
- Removed gtickpadsp. Gtick runs only with OSS or with OSS emulation from terminal
- Added gtick.png as a source

* Fri Jun 18 2010 Rangeen Basu Roy Chowdhury <sherry151@fedoraproject.org> - 0.4.2-1
- Initial Fedora Package
- Updated to release 0.4.2
- Based on the spec from DAG

* Sun Aug 19 2007 Dag Wieers <dag@wieers.com> - 0.4.1-1
- Updated to release 0.4.1.

* Thu Aug 16 2007 Dag Wieers <dag@wieers.com> - 0.4.0-1
- Updated to release 0.4.0.

* Tue May 08 2007 Dries Verachtert <dries@ulyssis.org> - 0.3.15-1
- Updated to release 0.3.15.

* Mon Apr 30 2007 Dag Wieers <dag@wieers.com> - 0.3.14-1
- Updated to release 0.3.14.

* Mon Feb 12 2007 Dries Verachtert <dries@ulyssis.org> - 0.3.13-1
- Updated to release 0.3.13.

* Sat Oct 28 2006 Dag Wieers <dag@wieers.com> - 0.3.12-1
- Updated to release 0.3.12.

* Sat Sep 30 2006 Dag Wieers <dag@wieers.com> - 0.3.11-1
- Updated to release 0.3.11.

* Fri May 19 2006 Dag Wieers <dag@wieers.com> - 0.3.10-1
- Updated to release 0.3.10.

* Sun Mar 19 2006 Dag Wieers <dag@wieers.com> - 0.3.9-1
- Updated to release 0.3.9.

* Tue Mar 07 2006 Dag Wieers <dag@wieers.com> - 0.3.8-1
- Updated to release 0.3.8.

* Wed Nov 30 2005 Dag Wieers <dag@wieers.com> - 0.3.7-1
- Updated to release 0.3.7.

* Sun Feb 06 2005 Dag Wieers <dag@wieers.com> - 0.3.5-1
- Updated to release 0.3.5.

* Wed Jun 16 2004 Dag Wieers <dag@wieers.com> - 0.3.2-1
- Updated to release 0.3.2.

* Fri Apr 30 2004 Dag Wieers <dag@wieers.com> - 0.3.1-1
- Updated to release 0.3.1.

* Wed Mar 03 2004 Dag Wieers <dag@wieers.com> - 0.3.0-0
- Updated to release 0.3.0.

* Mon Jan 26 2004 Dag Wieers <dag@wieers.com> - 0.2.14-0
- Updated to release 0.2.14.

* Mon Dec 29 2003 Dag Wieers <dag@wieers.com> - 0.2.12-0
- Updated to release 0.2.12.

* Mon Dec 15 2003 Dag Wieers <dag@wieers.com> - 0.2.11-0
- Updated to release 0.2.11.

* Sun Nov 23 2003 Dag Wieers <dag@wieers.com> - 0.2.8-0
- Updated to release 0.2.8.

* Sat Nov 01 2003 Dag Wieers <dag@wieers.com> - 0.2.7-0
- Updated to release 0.2.7.

* Mon Oct 13 2003 Dag Wieers <dag@wieers.com> - 0.2.6-0
- Updated to release 0.2.6.

* Wed Oct 01 2003 Dag Wieers <dag@wieers.com> - 0.2.5-0
- Updated to release 0.2.5.

* Wed Sep 10 2003 Dag Wieers <dag@wieers.com> - 0.2.4-0
- Updated to release 0.2.4.

* Sat Aug 30 2003 Dag Wieers <dag@wieers.com> - 0.2.3-0
- Updated to release 0.2.3.

* Mon Jul 28 2003 Dag Wieers <dag@wieers.com> - 0.2.2-0
- Updated to release 0.2.2.

* Tue Jun 24 2003 Dag Wieers <dag@wieers.com> - 0.2.1-0
- Initial package. (using DAR)
